MPD 0.20.6

- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Public Member Functions
StdioOutputStream Class Referencefinal

`#include <StdioOutputStream.hxx>`

Inheritance diagram for StdioOutputStream:
[legend]
Collaboration diagram for StdioOutputStream:
[legend]

## Public Member Functions
| StdioOutputStream (FILE *_file)
void | Write (const void *data, size_t size) override
| Throws std::exception on error. More...
Public Member Functions inherited from OutputStream
| OutputStream ()=default
| OutputStream (const OutputStream &)=delete

## Detailed Description

Definition at line 29 of file StdioOutputStream.hxx.

## Constructor & Destructor Documentation

StdioOutputStream::StdioOutputStream | ( | FILE * | _file | ) |
| inline explicit

Definition at line 33 of file StdioOutputStream.hxx.

## Member Function Documentation

void StdioOutputStream::Write | ( | const void * | data,
|  | size_t | size
| ) |  |
| inline override virtual

Throws std::exception on error.

Implements OutputStream.

Definition at line 36 of file StdioOutputStream.hxx.

The documentation for this class was generated from the following file:

- fs/io/StdioOutputStream.hxx